$(document).ready(function () {
    allFactories();

    $('#selcMachine').prop("disabled", true);
    $('#selcCompany').prop("disabled", true);




    $('input[name="startDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        locale: {
            format: 'YYYY-MM-DD',
        }

    });
    $('input[name="startDate"]').on('apply.daterangepicker', function (ev, picker) {
        //setDateRangeToDatePicker('endDate', picker.startDate.format('YYYY MM D'));

    });

    $('input[name="endDate"]').daterangepicker({
        singleDatePicker: true,
        showDropdowns: true,
        locale: {
            format: 'YYYY-MM-DD',
        }

    });
    //setDateRangeToDatePicker('endDate', $('input[name="startDate"]').val());



    $('#checkCompanySearch').change(function () {
        allMachineries();
        var bool = $(this).is(":checked");
        if (bool) {
            $('#selcCompany').prop("disabled", false);
        } else {
            $('#selcCompany').prop("disabled", true);
        }

        //switch_settings('checkCompanySearch');
    });


    $('#checkMachineSearch').change(function () {
        allMachineries();
        var bool = $(this).is(":checked");
        if (bool) {
            $('#selcMachine').prop("disabled", false);
        } else {
            $('#selcMachine').prop("disabled", true);
        }

        //switch_settings('checkCompanySearch');
    });


    $('#selcCompany').on('change', function () {
        allMachineries();
    });


    $('#btnPrint').on('click', function () {
        previewReport();
    });
});


function allFactories() {
    $.ajax({
        type: "GET",
        url: "/pp/ProductionReport/allCompanies",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var companies = response.companies;
            for (var i = 0; i < companies.length; i++) {
                $('#selcCompany').append('<option value="' + companies[i].site_id + '">' + companies[i].site + '</option>');
            }

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {
            allMachineries();
        }

    });
}



function allMachineries() {


    $.ajax({
        type: "GET",
        url: "/pp/ProductionReport/allMachineries/" + $('#selcCompany').val(),
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            var machine = response.machine;
            $('#selcMachine').empty();
            for (var i = 0; i < machine.length; i++) {
                $('#selcMachine').append('<option value="' + machine[i].machinery_id + '">' + machine[i].machinery_no + '</option>');
            }

            if (machine.length == 0) {
                $('#selcMachine').prop("disabled", true);
                $("#checkMachineSearch").prop('checked', false);
            }

        },
        error: function (error) {
            console.log(error);


        },
        complete: function () {

        }

    });
}



function previewReport() {
    if ($('#cmbReport').val() == null) {
        showWarningMessage("Please select report");
    } else if ($('#cmbReport').val() == 1) {
        previewProductionPlanReport();
    }
}



function previewProductionPlanReport() {

    var factory = null;
    var machine = null;
    if ($('#checkCompanySearch').is(':checked')) {
        factory = $('#selcCompany').val();
    }
    if ($('#checkMachineSearch').is(':checked')) {
        machine = $('#selcMachine').val();
    }
    var date_from = $('#txtDateFrom').val();
    var date_to = $('#txtDateTo').val();
    var url = "/pp/ProductionReport/previewProductionPlanReport/" + factory + "/" + machine + "/" + date_from + "/" + date_to;
    window.open(url, '_blank');

}




/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {

    toastr.success(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}


/**
* showWarrningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {

    toastr.warning(message);
}